> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxmind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Predefined Text

> Update the content of an existing predefined text. Use this to refine prompt wording without creating a new record.

## Path Parameters

<ParamField path="orgId" type="string" required>
  Your organisation's unique identifier.
</ParamField>

<ParamField path="textId" type="string" required>
  The numeric ID of the predefined text to update.
</ParamField>

## Request Body

<ParamField body="org_id" type="integer">
  Your organisation's numeric ID.
</ParamField>

<ParamField body="language" type="string">
  Updated language code. Note: changing the language while keeping the same `text_code` is valid as long as the new language + text\_code combination doesn't already exist.
</ParamField>

<ParamField body="text_code" type="integer">
  Updated category code.
</ParamField>

<ParamField body="text" type="string">
  The updated text content.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.voxmind.ai/organisations/42/predefined-texts/23 \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "text": "Please clearly say your full name to complete voice registration."
    }'
  ```

  ```python Python theme={null}
  resp = requests.patch(
      "https://api.voxmind.ai/organisations/42/predefined-texts/23",
      headers={"Authorization": "Bearer YOUR_API_TOKEN"},
      json={"text": "Please clearly say your full name to complete voice registration."},
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": 23,
    "org_id": 42,
    "language": "en-UK",
    "text_code": 1,
    "text": "Please clearly say your full name to complete voice registration.",
    "created_at": "2025-03-15T10:00:00Z",
    "updated_at": "2025-03-15T16:45:00Z"
  }
  ```
</ResponseExample>
